cdac.medinfo.sdk.hl7282.hl7net.commons

## Interface IClientInteractiveContinuation

- All Known Implementing Classes:
    ClientSideQICAgent

      public interface IClientInteractiveContinuation

  The Interactive Continuation Protocol defines the methodology for the intentional transmission of a large query-response payload over multiple HL7 messages.Without this protocol, the response would be returned in a single large logical message. The implementor of this interface should provide processSend,processReceive, generateCancellationQuery,generateInteractiveQuery methods. The class which implement this interface will track the sending queries and receiving responses. In addition it will generate interactive query and cancellation query for already triggered query.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISegmentSet` | `generateCancellationQuery(java.lang.String strQueryID)` Checks weather the Query is completed or not.
    `ISegmentSet` | `generateInteractiveQuery(java.lang.String strQueryID)` Retrieves the number of query fired for specified Query ID.
    `ISingleCollection<java.lang.String>` | `getUnprocessedQueries()` Returns the query id for all Unprocessed Queries.
    `boolean` | `processReceive(ISegmentSet objSegmentSet)` Keeps the logs of incoming Interactive Responses.
    `void` | `processSend(ISegmentSet objSegmentSet)` Keeps the logs of outgoing Interactive Queries.

- - ### Method Detail

    - #### processSend

          void processSend(ISegmentSet objSegmentSet)

      Keeps the logs of outgoing Interactive Queries.
      Parameters:
        `objSegmentSet` - object of Segment Set received.

    - #### processReceive

          boolean processReceive(ISegmentSet objSegmentSet)

      Keeps the logs of incoming Interactive Responses.
      Parameters:
        `objSegmentSet` - object of Segment Set received.
      Returns:
        true if response is interactive else false.

    - #### generateCancellationQuery

          ISegmentSet generateCancellationQuery(java.lang.String strQueryID)

      Checks weather the Query is completed or not.
      Parameters:
        `strQueryID` - specify the Query ID.
      Returns:
        ISegmentSet object of Segment Set.

    - #### generateInteractiveQuery

          ISegmentSet generateInteractiveQuery(java.lang.String strQueryID)

      Retrieves the number of query fired for specified Query ID.
      Parameters:
        `strQueryID` - Query ID of an Query
      Returns:
        ISegmentSet object of Segment Set.

    - #### getUnprocessedQueries

          ISingleCollection<java.lang.String> getUnprocessedQueries()

      Returns the query id for all Unprocessed Queries.
      Returns:
        ISingleCollection collection of strings.